#ifndef FRMSETTING_H
#define FRMSETTING_H

#include <QWidget>
#include "fileconfigdecode.h"
#include "serversetting.h"
#include "tchttpservice.h"
// 开机自启动
// 域名/地址
// 端口
// 上传前重命名
// 时间戳重命名
// 上传后复制URL

#define OPENQSS "QLabel{color:#409EFF;}"
#define CLOSEQSS "QLabel{color:#FFFFFF;}"

namespace Ui {
class FrmSetting;
}

class FrmSetting : public QWidget
{
    Q_OBJECT

public:
    explicit FrmSetting(QWidget *parent = nullptr);
    ~FrmSetting();

private:

    void initForm();
    void initWidget();

private slots:
    void schRenameSlot(bool checked);
    void schAutoSetup(bool checked);
    void schTimeRename(bool checked);
    void schEnableSsl(bool checked);

    void slot_updateServerConfig(QString address, QString username, QString password);

private:
    Ui::FrmSetting *ui;
    // FileConfigDecode* fileConfig = nullptr;
    ServerSetting* serversetting;
};

#endif // FRMSETTING_H
